Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 774688 - WebGL compositing broken with basic layers
: WebGL compositing broken with basic layers
: regression
Product: Core
Classification: Components
Component: Graphics: Layers (show other bugs)
: unspecified
: All All
: P1 critical (vote)
: mozilla17
Assigned To: Jeff Gilbert [:jgilbert]
: Simona B [:simonab ]
: Milan Sreckovic [:milan] (PTO through Oct 23)
Depends on: 735378
  Show dependency treegraph
Reported: 2012-07-17 08:48 PDT by Benoit Jacob [:bjacob] (mostly away)
Modified: 2014-01-10 10:42 PST (History)
8 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---

Mark our reused buffer as dirty (1.37 KB, patch)
2012-07-17 13:02 PDT, Jeff Gilbert [:jgilbert]
bas: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Splinter Review
backport to beta 15 (1.37 KB, patch)
2012-07-24 17:15 PDT, Jeff Gilbert [:jgilbert]
jgilbert: review+
Details | Diff | Splinter Review

Description Benoit Jacob [:bjacob] (mostly away) 2012-07-17 08:48:38 PDT
* set layers.acceleration.disabled=true
* visit any page with a WebGL animation

actual results:
animation is frozen, you can get a new frame by switching tabs.

Last good nightly: march 26,
first bad nightly: march 27,
Comment 1 Jeff Gilbert [:jgilbert] 2012-07-17 08:56:44 PDT
This is very likely to be a regression from bug 735378.
Comment 2 Benoit Jacob [:bjacob] (mostly away) 2012-07-17 09:07:38 PDT
This bug is a strong argument in favor of running tests with BasicLayers. Don't need any specific hardware for that, just run with this preference: layers.acceleration.disabled=true. It's still what the majority of our Windows users use, and the performance can still be acceptable for simple games.
Comment 3 Jeff Gilbert [:jgilbert] 2012-07-17 13:02:58 PDT
Created attachment 643107 [details] [diff] [review]
Mark our reused buffer as dirty

Adds the needed Flush and MarkDirty.
Comment 5 Ed Morley [:emorley] 2012-07-18 05:53:04 PDT
Comment 6 Jeff Gilbert [:jgilbert] 2012-07-19 22:39:07 PDT
Comment on attachment 643107 [details] [diff] [review]
Mark our reused buffer as dirty

[Approval Request Comment]
Bug caused by (feature/regressing bug #): bug 735378
User impact if declined: WebGL will display uselessly on BasicLayers. This is an uncommon combination, but it does occur. This is worse than simply failing to start WebGL.
Testing completed (on m-c, etc.): On m-c and easy to test.
Risk to taking this patch (and alternatives if risky): Very low. The problem is now well understood and the fix is simple.
String or UUID changes made by this patch: None.

Testing this is easy:
Set the pref 'layers.acceleration.disabled' to true, and create a new window. WebGL should fail to display properly, even if it works fine without the change to the pref.
Comment 7 Alex Keybl [:akeybl] 2012-07-20 14:51:07 PDT
If bug 735378 is the regressing issue, then the ESR is unaffected.
Comment 8 Alex Keybl [:akeybl] 2012-07-20 14:52:37 PDT
Comment on attachment 643107 [details] [diff] [review]
Mark our reused buffer as dirty

[Triage Comment]
Approving for both Aurora 16 and Beta 15, since this is a 14 regression and has a low-risk fix.
Comment 9 Jeff Gilbert [:jgilbert] 2012-07-24 17:11:18 PDT
Comment 10 Jeff Gilbert [:jgilbert] 2012-07-24 17:15:12 PDT
Created attachment 645598 [details] [diff] [review]
backport to beta 15

Beta backport.
Comment 11 Jeff Gilbert [:jgilbert] 2012-07-24 17:16:33 PDT
Comment 12 Simona B [:simonab ] 2012-08-06 08:24:43 PDT
Verified on Firefox 15 beta 3 that WebGL demos are not broken nor freeze when setting the user pref layers.acceleration.disabled to true.

Verified on Windows 7, Ubuntu 12.04 and Mac OS X 10.6:
Mozilla/5.0 (Windows NT 6.1; rv:15.0) Gecko/20100101 Firefox/15.0
Mozilla/5.0 (X11; Linux i686; rv:15.0) Gecko/20100101 Firefox/15.0
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:15.0) Gecko/20100101 Firefox/15.0
Comment 13 Simona B [:simonab ] 2012-09-21 08:54:11 PDT
Verified on Firefox 16 beta 4 that WebGL demos are not broken nor freeze when user pref layers.acceleration.disabled=true.

Verified on several WebGL demos as:

Verified on Windows 7, Ubuntu 12.04 and Mac OS X 10.7:
Mozilla/5.0 (Windows NT 6.1; rv:16.0) Gecko/20100101 Firefox/16.0
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:16.0) Gecko/20100101 Firefox/16.0
Mozilla/5.0 (X11; Linux i686; rv:16.0) Gecko/20100101 Firefox/16.0
Comment 14 Simona B [:simonab ] 2012-10-15 09:37:32 PDT
Mozilla/5.0 (Windows NT 6.1; rv:17.0) Gecko/17.0 Firefox/17.0
Mozilla/5.0 (X11; Linux i686; rv:17.0) Gecko/17.0 Firefox/17.0
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:17.0) Gecko/17.0 Firefox/17.0

Verified on Firefox 17 beta 1 that WebGL demos are not broken nor freeze (having the preference layers.acceleration.disabled set to true).

Verified on several WebGL demos as(on Win 7, Ubuntu 12.04 and Mac OS X 10.7):

On Ubuntu 12.04 with ATI Radeon 3000 GraphicsDriver Version3.3.11627 - Firefox crashes when loading any WebGL demo - filed Bug 801699 for this matter. The crash is not reproducible on a computer running Ubuntu with NVidia.
Comment 15 Tracy Walker [:tracy] 2014-01-10 10:42:27 PST
mass remove verifyme requests greater than 4 months old

Note You need to log in before you can comment on or make changes to this bug.